org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery

## Class IgnoredDiscovery

- java.lang.Object
- - org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery.IgnoredDiscovery

All Implemented Interfaces:
  AnnotationDiscovery

    public class IgnoredDiscovery
    extends Object
    implements AnnotationDiscovery

User: guillaume Date: 09/07/13 Time: 14:52

### Field Summary

Fields
`static String` `IGNORE_DESCRIPTOR`

### Constructor Summary

Constructors
Constructor and Description
`IgnoredDiscovery()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `isIgnore()`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IGNORE_DESCRIPTOR

    public static final String IGNORE_DESCRIPTOR

### Constructor Detail

#### IgnoredDiscovery

    public IgnoredDiscovery()

### Method Detail

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc)

Specified by:
  `visitAnnotation` in interface `AnnotationDiscovery`

#### isIgnore

    public boolean isIgnore()